Version 2.1.4

Released on 2017/08/14.

If you are upgrading a cluster, you must be running CrateDB Version 1.1.3 or higher before you upgrade to 2.1.4.

If you want to perform a rolling upgrade, your current CrateDB version number must be Version 2.1.0. If you want to upgrade from a version prior to this, the upgrade will introduce all of the breaking changes listed for Version 2.1.0, and will require a full restart upgrade.

Consult the Upgrade Notes for 2.1.0 when upgrading.

Warning

Before upgrading, you should back up your data.

Changelog

Fixes

  • Fixed an issue that caused the cluster.name setting in the crate.yml settings file to be ignored.